=== modified file 'loggerhead/templates/inventory.pt'
--- loggerhead/templates/inventory.pt	2008-08-06 04:20:07 +0000
+++ loggerhead/templates/inventory.pt	2008-08-05 06:21:09 +0000
@@ -64,7 +64,7 @@
                <a tal:attributes="href python:url(['/files', change.revno], file_id=file.file_id)" 
                                       tal:content="file/filename" class="link"></a>
                </td>
-               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
+               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
                                                    title string:Show revision ${file/change/revno}"
                                    tal:content="file/change/revno"></a>
                </td>
@@ -87,7 +87,7 @@
                <a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)" 
                                       tal:content="file/filename" class="link"></a>
                </td>
-               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
+               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
                                                    title string:Show revision ${file/change/revno}"
                                    tal:content="file/change/revno"></a>
                </td>
@@ -116,7 +116,7 @@
 
             <a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)"
                                    tal:content="file/filename" class="link"></a></td>
-            <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
+            <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
                                                 title string:Show revision ${file/change/revno}"
                                 tal:content="file/change/revno"></a>
             </td>

=== modified file 'start-loggerhead'
--- start-loggerhead	2008-08-06 19:12:08 +0000
+++ start-loggerhead	2008-08-06 18:27:51 +0000
@@ -44,9 +44,10 @@
     return h
 
 
-def setup_logging(logdir, config, foreground):
+def setup_logging(home, config, foreground):
     # i hate that stupid logging config format, so just set up logging here.
 
+    log_folder = os.path.join(home, 'logs')
     if not os.path.exists(log_folder):
         os.mkdir(log_folder)
 
@@ -78,7 +79,6 @@
     home = os.path.realpath(os.path.dirname(__file__))
     default_pidfile = os.path.join(home, 'loggerhead.pid')
     default_configfile = os.path.join(home, 'loggerhead.conf')
-    default_log_folder = os.path.join(home, 'logs')
     parser = OptionParser(usage='usage: %prog [options]', version='%prog ' + release.version)
     parser.add_option('-f', '--foreground', action='store_true', dest='foreground', default=False,
                       help="run in the foreground; don't daemonize")
@@ -86,10 +86,8 @@
                       help="only start if not already running (useful for cron jobs)")
     parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
                       help="override pidfile location")
-    parser.add_option('-c', '--config-file', dest="configfile", default=default_configfile,
+    parser.add_option('-c', '--configfile', dest="configfile", default=default_configfile,
                       help="override configuration file location")
-    parser.add_option('-L', '--log-folder', dest="log-folder", default=default_log_folder,
-                      help="override log file directory")
     options, args = parser.parse_args()
     if len(args) > 0:
         parser.error('No filename arguments are used, only options.')
@@ -106,6 +104,8 @@
     if extra_path:
         sys.path.insert(0, extra_path)
 
+    #turbogears.update_config(configfile="dev.cfg", modulename="loggerhead.config")
+
     potential_overrides = [ ('server.socket_port', int),
                             ('server.webpath', str),
                             ('server.thread_pool', int),
@@ -119,6 +119,7 @@
         value = config.get(key, None)
         if value is not None:
             value = keytype(value)
+            #turbogears.config.update({ key: value })
 
     if not options.foreground:
         sys.stderr.write('\n')
@@ -128,7 +129,7 @@
 
         daemon.daemonize(options.pidfile, home)
 
-    setup_logging(options.log_folder, config, foreground=options.foreground)
+    setup_logging(home, config, foreground=options.foreground)
 
     log = logging.getLogger('loggerhead')
     log.info('Starting up...')

=== modified file 'start-loggerhead.1'
--- start-loggerhead.1	2008-08-06 18:33:20 +0000
+++ start-loggerhead.1	2008-08-06 18:27:51 +0000
@@ -27,11 +27,8 @@
 \fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
 override pid file location
 .TP
-\fB\-c\fR, \fB\-\-config-file=CONFIGFILE\fR
+\fB\-c\fR, \fB\-\-configfile=CONFIGFILE\fR
 override configuration file location
-.TP
-\fB\-L\fR, \fB\-\-log-folder=LOG-FOLDER\fR
-override log directory
 .SH "LICENSE"
 GNU GPLv2 or later.
 .SH "SEE ALSO"

=== modified file 'stop-loggerhead'
--- stop-loggerhead	2008-08-06 18:39:15 +0000
+++ stop-loggerhead	2008-08-04 23:46:37 +0000
@@ -17,24 +17,14 @@
 
 import os
 import sys
-from optparse import OptionParser
-
-from loggerhead import release
 
 home = os.path.realpath(os.path.dirname(__file__))
-default_pidfile = os.path.join(home, 'loggerhead.pid')
-parser = OptionParser(usage='usage: %prog [options]', version='%prog ' + release.version)
-parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
-				  help="override pidfile location")
-
-options, args = parser.parse_args()
-if len(args) > 0:
-	parser.error('No filename arguments are used, only options.')
+pidfile = os.path.join(home, 'loggerhead.pid')
 
 try:
-    f = open(options.pidfile, 'r')
+    f = open(pidfile, 'r')
 except IOError, e:
-    print 'Pid file %s not found.' % options.pidfile
+    print 'No pid file found.'
     sys.exit(1)
 
 pid = int(f.readline())

=== modified file 'stop-loggerhead.1'
--- stop-loggerhead.1	2008-08-06 18:39:15 +0000
+++ stop-loggerhead.1	2008-07-26 14:09:59 +0000
@@ -7,10 +7,6 @@
 Loggerhead is a web viewer for projects in bazaar. It can be used to navigate 
 a branch history, annotate files, view patches, perform searches, etc. It's 
 heavily based on bazaar-webserve, which is itself based on hgweb for Mercurial.
-.SH OPTIONS
-.TP
-\fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
-override pid file location
 .PP
 The stop-loggerhead command stops the currently running loggerhead server.
 .SH "LICENSE"

